All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

*** This interface provides Binary Compatibility only, not Source Compatibility ***

## com.sas.services.information.metadata
Interface TCPIPConnectionInterface

All Superinterfaces:
  ConnectionInterface, MetadataInterface, PublicObjectInterface, java.rmi.Remote

All Known Subinterfaces:
  ProxyInterface

All Known Implementing Classes:
  OMRProxy, com.sas.services.information.metadata.OMRTCPIPConnection

    @SASScope(value="ALL")
    @BinaryCompatibilityOnly
    public interface TCPIPConnectionInterface

extends ConnectionInterface

Field Summary

Fields inherited from interface com.sas.services.information.metadata.MetadataInterface
`METADATA_STATE_DELETED, METADATA_STATE_DESTROYED, METADATA_STATE_NEW, METADATA_STATE_NORMAL, PERMISSION_READMETADATA, PERMISSION_WRITEMETADATA`

Method Summary
`abstract java.lang.String` | `getHost()` Get the DNS host name for this connection.
`abstract int` | `getPort()` Get the TCP port number for this connection.
`abstract java.lang.String` | `getService()` Get the service name for this connection.
`abstract void` | `setHost(java.lang.String host)` Set the host name for this connection.
`abstract void` | `setPort(int port)` Set the TCP port number for this connection.
`abstract void` | `setService(java.lang.String service)` Set the service name for this connection.

Methods inherited from interface com.sas.services.information.metadata.ConnectionInterface
`addProvider, getApplicationProtocol, getAuthenticationType, getCommunicationProtocol, getDomain, getProperties, getProviders, getSource, removeProvider, setApplicationProtocol, setAuthenticationType, setCommunicationProtocol, setDomain, setProperty, setProviders, setSource`

Methods inherited from interface com.sas.services.information.metadata.MetadataInterface
`add, addAccessControl, addAttribute, addAttributes, addDocument, addExtension, addGroup, addImplementor, addKeyword, addNoteTextStore, addNoteTextStore, addObjectProperty, addObjectProperty, addPermissions, addPrompt, addPropertySet, addRemark, addResponsibleParty, addTransactionListener, addUsedByPrototype, checkin, checkout, commit, copyTo, countAssociatedObjects, delete, deleteAttribute, deleteAttributes, destroy, getAccessControls, getAttribute, getAttributes, getAuthorizationUtil, getCreateDate, getCreatedBy, getDescription, getDocuments, getEntityKey, getEntityURL, getExtensions, getGroups, getGUID, getIdentities, getImplementors, getKeywords, getLockedBy, getModifiedBy, getModifyDate, getNoteTextStore, getNoteTextStores, getNoteTextStoresByRole, getObjectProperties, getParent, getParentPath, getParents, getPath, getPaths, getPermission, getPermissions, getPermissions, getPreviousVersionNames, getPrimaryPropertyGroup, getPrompt, getPrompts, getPropertyBag, getPropertySets, getRemarksList, getReposId, getRepository, getRepositoryEntity, getRepositoryName, getReposKey, getResponsibleParties, getState, getTrackingId, getType, getUsageVersion, getUsedByPrototypes, getUsingPrototype, getVersion, isAuthorized, isCompatible, isDeleted, isDestroyed, isObjectAlive, isReadCompatible, mapNameToFilesystem, mapUrlToFilesystem, moveTo, newServiceObject, refresh, removeAccessControl, removeDocument, removeExtension, removeGroup, removeImplementor, removeKeyword, removeNoteTextStore, removeObjectProperty, removePermissions, removePrompt, removePropertySet, removeResponsibleParty, removeResponsiblePartyByIdentity, removeUsedByPrototype, rollback, setAttribute, setAttributes, setDeleted, setDescription, setDocuments, setExtensions, setGroups, setGUID, setKeywords, setName, setNoteTextStores, setObjectProperties, setPermission, setPrimaryPropertyGroup, setPrompt, setPrompts, setRemarksList, setRepository, setUsingPrototype, startTransaction, toByteArray, transactionEvent, uncheckout, update, updateFromBag, version`

Methods inherited from interface com.sas.services.information.publicobject.PublicObjectInterface
`addProcessorInterface, getContainer, getIdentifier, getName, getObjectURI, getPathUrl, getProcessorInterface, getTypeDescriptor`

Method Detail

### getHost

    java.lang.String getHost()
                             throws ServiceException,
                                    java.rmi.RemoteException

  Get the DNS host name for this connection.

  Returns:
    The host name string.
  Throws:
    `ServiceException` - If a server error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setHost

    void setHost(java.lang.String host)
                 throws ServiceException,
                        java.rmi.RemoteException

  Set the host name for this connection.

  Parameters:
    `host` - The new host name string.
  Throws:
    `ServiceException` - If a server error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### getService

    java.lang.String getService()
                                throws ServiceException,
                                       java.rmi.RemoteException

  Get the service name for this connection.

  Returns:
    The service name for this connection.
  Throws:
    `ServiceException` - If a server error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setService

    void setService(java.lang.String service)
                    throws ServiceException,
                           java.rmi.RemoteException

  Set the service name for this connection.

  Parameters:
    `service` - The connection's serice name.
  Throws:
    `ServiceException`
    `java.rmi.RemoteException`

### getPort

    int getPort()
                throws ServiceException,
                       java.rmi.RemoteException

  Get the TCP port number for this connection.

  Returns:
    The TCP port number.
  Throws:
    `ServiceException` - If a server error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

### setPort

    void setPort(int port)
                 throws ServiceException,
                        java.rmi.RemoteException

  Set the TCP port number for this connection.

  Parameters:
    `port` - The TCP port number.
  Throws:
    `ServiceException` - If a server error occurs.
    `java.rmi.RemoteException` - In the event of remote object failure.

*** This interface provides Binary Compatibility only, not Source Compatibility ***

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Foundation |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.